Contents
Index 🔎︎

# ThisComponent Object

Addresses the active component whose properties can be read and set, and whose methods can be called. ThisComponent is used in Basic, where it represents the current document. Properties and methods available through ThisComponent depend on the document type.

### Syntax:

ThisComponent

### Example:

    Sub Main
    REMn "Baafata" galmee barruu tokko keessaa haaromsa
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Table of Contents1")
        REM maqaa durtii gabatee baafataa fi 1 fayyadama
        index.update()
    End Sub